<!DOCTYPE html>
{% block content %}
<html>
    <head>
        {% load django_simple_bulma %}
        {% bulma %}
        {% font_awesome %}
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="https://use.fontawesome.com/releases/v5.15.4/js/all.js"></script>
        <script>
            jQuery(document).ready(function ($) {
                $('#formul').submit(function(){
                    $("#formul :disabled").removeAttr('disabled');
                });

                $('#description').keyup(function () {
                    var max = 100;
                    var len = $(this).val().length;
                    if (len >= max) {
                        $('#lblRemainingCount').text(' you have reached the limit');
                    } else {
                        var char = max - len;
                        $('#lblRemainingCount').text(char + ' characters left');
                    }
                });
            });
        </script>    
        <style>
            html{
                background-color: #f0efef;
            }
        </style>        
    </head>
    
    <body>
        <div class="basic">
            {% include "navbar.html" %}
        </div>
        <section class="section">
            <div class="box">
                <header class="box-header">
                    <div class="container is-fluid notification is-fullhd">
                        <div class="level">
                            <div class="level-left">
                                <div class="level-item">
                                    <h1 class="title is-4">Modification</h1>
                                </div>
                            </div>
                        </div>
                    </div>
                </header>
                <div class="box-content">
                    <div class="content">
                        <form id="formul" action="/configuration/update/" method="post">
                            {% csrf_token %}
                                <div class="field">
                                    <label for="name">Nom: </label>
                                    <div class="control">
                                        <input class="input" type="text" name="name" id="name" value="{{name}}" disabled>
                                    </div>
                                </div>
                                <div class="field">
                                    <label for="ip">IP: </label>
                                    <div class="control">
                                        <input class="input" type="text" name="ip" value="{{ip}}" id="ip" >
                                    </div>
                                </div>
                                <div class="field">
                                    <label for="description">Description: </label>
                                    <div class="control">
                                        <input class="input" type="text" name="description" value="{{description}}" id="description" required>
                                    </div>
                                    <p id="lblRemainingCount"></p>
                                </div>
                                <div class="field"> 
                                    <label class="checkbox">
                                        <input class="checkbox" name="monitoring" id="monitoring" "{% if monitoring == True %} checked {%endif%}" type="checkbox" >
                                        Monitoring
                                    </label>   
                                </div>
                                <div class="field">
                                    <label for="communaute">Communauté: </label>
                                    <div class="control">
                                        <input class="input" type="text" name="communaute" id="communaute" value="{{communaute}}" required>
                                    </div>
                                </div>
                                <div class="field">
                                    <label for="OID">OID: </label>
                                    <div class="field">
                                        <label><input class="checkbox" style="margin-left: 1%;" type="checkbox" "{% if debit == True %} checked {%endif%}" name="debit"> Débit</label>
                                    </div>
                                    <div class="field">
                                        <label><input class="checkbox" style="margin-left: 1%;" type="checkbox" "{% if ram == True %} checked {%endif%}" name="ram"> RAM</label>
                                    </div>                  
                                    <div class="field">
                                        <label><input class="checkbox" style="margin-left: 1%;" type="checkbox" "{% if cpu == True %} checked {%endif%}" name="cpu"> CPU</label>
                                    </div>

                                    <div class="field" id="octet_trigger">
                                        <label for="octet_trigger">Octet max alerte (en KB) :</label>
                                        <div class="control">
                                            <input class="input" type="text" value="{{octet_trigger}}" name="octet_trigger">
                                        </div>
                                    </div>
                                    <div class="field" id="ram_trigger">
                                        <label for="ram_trigger">RAM % alerte: </label>
                                        <div class="control">
                                            <input class="input" type="text" value="{{ram_trigger}}" name="ram_trigger" >
                                        </div>
                                    </div>
                                    <div class="field" id="cpu_trigger">
                                        <label for="cpu_trigger">CPU % alerte: </label>
                                        <div class="control">
                                            <input class="input" type="text" value="{{cpu_trigger}}" name="cpu_trigger" >
                                        </div>
                                    </div>
                                <div>
                                <div class="field">
                                    <input class="button is-link is-light" type="submit" value="Modifier">
                                </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        </section>
    </body>
</html>
{% endblock content %}
